classdef (Abstract) ModelAbstract
    %MODELABSTRACT  This class is the API structure to use all project's function.
    %   This class use the proxy design partern to provide an API for this project
    %   The idea is to allow user to use all tools with any kind of model. 
    %   The only thing to do is to perfor the inheritance for a custom class that implement the forecast function.
    
    methods(Abstract, Access = public)
        [prediction  ] = forecast(past_data, futur_data)
        %FORECAST perform the forecast for the given model.
        %
        %  This function need to behave like the forecast function of the matlab identification tools box. 
        %  This function must take both past data for observation purpose and futur data in order to use exogenous signal. 
        %  It return the prediction in a matrix with the same size as futur_data. The second axis need have the same size as the past_data.y dim. 
    end
end