function [dataset] = load_data(dir_path)
    % LOAD_DATA Function to load all parquet file from a given dir.
    %  
    %  DATASET  = LOAD_DATA(PATH)
    %      This function load all parquet files from a given dir and instanciate iddata objs to store data.
    %      Each file is store in a Experiment of the final iddata result object.        
    %
    
    dir_fil_list = dir(dir_path);
    dir_fil_list = dir_fil_list(3:size(dir_fil_list));
    dir_fil_cell = struct2cell(dir_fil_list);
    dir_fil_cell = dir_fil_cell(1,:);
    
    nList = cellfun(@(x) str2num(string(subsref(split(x, ["_" "."]), struct('type', '()', 'subs', {{2}})))),dir_fil_cell);
    %# sort the n's and capture the reordering in sortIdx
    [sortedN,sortIdx] = sort(nList);
    dir_fil_list = dir_fil_list(sortIdx);

    for fil_idx = 1:size(dir_fil_list)
        data = parquetread(dir_path+"/"+dir_fil_list(fil_idx).name);
        
        XY1 = data;
    
        XY1 =  rmmissing(XY1.Variables);

        U1 = XY1(:,[1:size(XY1,2)-2]);
        Y1  = XY1(:,[size(XY1,2)-1:size(XY1,2)]);
        data_train = iddata(Y1,U1, 600.0);
        if fil_idx==1
            data_train_total = data_train;
        else
            
            data_train_total = merge(data_train_total, data_train);
        end
    end
    dataset = data_train_total;
end